import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
  getFieldList(param){
    return axios.post(urls.getFieldList,param);
  },
  addFieldMatch(param){
    return axios.post(urls.addFieldMatch,param);
  },
  delFieldMatch(param){
    return axios.post(urls.delFieldMatch,param);
  },
  getQcTypes(){
    return axios.post(urls.getQcTypes);
  },
  getQCTemplist(param){ // 获取模板列表
    return axios.post(urls.getQCTemplist,param);
  },
  saveOrUpdateQCTemp(param){ //新增或修改模板
    return axios.post(urls.saveOrUpdateQCTemp,param);
  },
  delQCTemp(param){ //删除模板
    return axios.post(urls.delQCTemp,param);
  },
  getQCTempDetail(param){ //获取模板详情
    return axios.post(urls.getQCTempDetail,param);
  },
  getQCName(param){ //获取字段名称
    return axios.post(urls.getQCName,param);
  },
  getQcFlawList(param){
    return axios.post(urls.getQcFlawList,param);
  },
  getFieldDetail(param){ //获取标签详情
    return axios.post(urls.getFieldDetail,param);
  },
  getModuleTypeList(param){ //获取模块类型列表
    return axios.post(urls.getModuleTypeList,param);
  },
  getQcTypeList(param){ //获取质控类型列表
    return axios.post(urls.getQcTypeList,param);
  },
  getQcTypeDetail(param){ //获取质控类型列表
    return axios.post(urls.getQcTypeDetail,param);
  },
  addQcType(param){ //添加质控类型
    return axios.post(urls.addQcType,param);
  },
  delQcType(param){ //删除质控类型
    return axios.post(urls.delQcType,param);
  },
  getQcTypeItem(param){ //获取质控条目
    return axios.post(urls.getQcTypeItem,param);
  },
  getQcEntryTypeList(param){ //质控条目与质控类型关系--分页列表
    return axios.post(urls.getQcEntryTypeList,param);
  },
  getQcEntryTypeDetail(param){ //质控条目与质控类型关系--根据entryId和医院id返回内容
    return axios.post(urls.getQcEntryTypeDetail,param);
  },
  getQcEntryTypeByHospital(param){ //质控条目与质控类型关系--根据医院获取质控类型列表
    return axios.post(urls.getQcEntryTypeByHospital,param);
  },
  getQcEntryTypeIndex(param){ //质控条目与质控类型关系--根据医院和条目检索未被选择的质控类型
    return axios.post(urls.getQcEntryTypeIndex,param);
  },
  saveQcEntryType(param){ //质控条目与质控类型关系--保存
    return axios.post(urls.saveQcEntryType,param);
  },
  getStdList(param){//获取标准病例列表
    return axios.post(urls.getStdList,param);
  },
  delStdRecord(param){//删除标准病例
    return axios.post(urls.delStdRecord,param);
  },
  updateStdRecord(param){//更新标准病例
    return axios.post(urls.updateStdRecord,param);
  },
  findStdRecord(param){//查找标准病例
    return axios.post(urls.findStdRecord,param);
  },
  getStdDeptList(param){//更新标准病例
    return axios.post(urls.getStdDeptList,param);
  },
  getTestItems(param){
    return axios.post(urls.getTestItems,param);
  },
  getTaskList(param){
    return axios.post(urls.getTaskList,param);
  },
  addTask(param){
    return axios.post(urls.addTask,param);
  },
  delTask(param){
    return axios.post(urls.delTask,param);
  },
  editTask(param){
    return axios.post(urls.editTask,param);
  },
  getTaskDetailList(param){
    return axios.post(urls.getTaskDetailList,param);
  },
  getTaskDetail(param){
    return axios.post(urls.getTaskDetail,param);
  },
  editTaskDetail(param){
    return axios.post(urls.editTaskDetail,param);
  },
  delTaskDetail(param){
    return axios.post(urls.delTaskDetail,param);
  },
  getRecordHopitalList(param){
    return axios.post(urls.getRecordHopitalList,param);
  },
  getRecordCases(param){
    return axios.post(urls.getRecordCases,param);
  },
  autoTest(param){
    return axios.post(urls.autoTest,param);
  },
  saveDefaultModuleInfo(param){
    return axios.post(urls.saveDefaultModuleInfo,param);
  },
  saveOrUpdateModuleInfo(param){
    return axios.post(urls.saveOrUpdateModuleInfo,param);
  },
  ControModuleInfo(param){
    return axios.post(urls.ControModuleInfo,param);
  },
  ifNeedUnbind(param){
    return axios.post(urls.ifNeedUnbind,param);
  },
  qcTypeList(param){
    return axios.post(urls.qcTypeList,param);
  },
}